Subject: Re: Applications with SLP ?

From: James Kempf <[email-masked]>
Date: Tue, 20 Mar 2001 14:22:27 -0700

I agree with Matt here. The real issue with getting SLP deployed is using it.
There are loads of new and interesting applications it enables, for
those with a research bent. For those more interested in products, porting
existing applications to use the same service discovery mechanism
like SLP could result in an improvement in transparency (= better user
interface, like service browsers) and even enable some new features.

		jak
>Hello,
>I'm new to SLP environment and Balaji raises a very interesting question
>
>How about actual use of SLP in real life applications ?
>
>Should we re-write any application with the API of SLP ? Such
>applications already exist ?
>
>/jean-mick
>
>Matt Peterson wrote:
>
>> Balaji Meruva wrote:
>> >
>> > Hello
>> >       We are graduate students at University of
>> > Kansas, Lawrence. We are working on Service Location
>> > Protocol(SLP) for our course work. We will be very
>> > grateful if you can suggest any further Extensions to
>> > the existing features of SLP.
>> >
>> > Thanking you in anticipation
>> > Balaji Meruva
>> >
>>
>> How about actual use of SLP in real life applications instead of
>> continuous extension...   Do you want specific suggestions of
>> applications that could benefit greatly by being SLP enabled?
>>
>> --
>> Matthew Peterson
>> Sr. Software Engineer
>> Caldera Systems, Inc
>> [email-masked]
>

---

From: Satyanarayana Kakarlamudi <[email-masked]>
Date: Tue, 20 Mar 2001 14:45:48 -0600 (CST)

hi ,
   My name is Murthy.I and Balaji are working on SLP.Can you please be
more specific in your listing of the applications that SLP can
support.Presently our knowledge about network services that SLP supports
is only confined to devices like printers,fax machines etc.Could you
please suggest any new and interesting network services.
      Any suggestion in this regard is welcome.
       Thanks in advance.

---

From: Matt Peterson <[email-masked]>
Date: Tue, 20 Mar 2001 13:54:37 -0700

Hi,

One project that could benefit from SLP immediately is CUPS.  Common
Unix Printing System is becoming a popular replacement for traditional
LPD printing.  I already submitted a patch to CUPS that enables SLP
registration of CUPS print services, but there is A TON of work that can
be done to put SLP into CUPS user tools as well as maintain the SLP code
that has already been submitted.  Send me email directly for information
to contact CUPS maintainer Michael Sweet

I also like the idea of a real Service Browser.  If you are able to come
up with a good proposal for writing a service browser I will sponsor it
on openslp.org.  Send me mail directly if this interests you.

Another cool project might be to come up with some patches that enable
registration of http proxy and caching services. 

Finally, the DMTF is investigating SLP as the recommended protocol for
it's distributed management specifications.  Work in this area would be
research related and would eventually have a big affect on the many WEBM
and other DMTF based implementations that are being started by Sun,
Microsoft, IBM, Intel, Caldera, and others.

I could go on and on...

-- 
Matthew Peterson
Sr. Software Engineer
Caldera Systems, Inc
[email-masked]